uk.ac.starlink.table

## Class ClassTableScheme

- java.lang.Object
- - uk.ac.starlink.table.ClassTableScheme

- All Implemented Interfaces:
    Documented, TableScheme

      public class ClassTableScheme
      extends java.lang.Object
      implements TableScheme, Documented

  TableScheme implementation that allows to use any TableScheme implementation on the classpath.

  Usage is for example:

          class:uk.ac.starlink.table.LoopTableScheme:10

  Since:
    22 Jul 2020

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClassTableScheme()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StarTable` | `createTable(java.lang.String spec)` Turns a scheme-specific specification into a table.
    `java.lang.String` | `getExampleSpecification()` Returns a scheme-specific specification string suitable for use in examples.
    `java.lang.String` | `getSchemeName()` Returns "class";
    `java.lang.String` | `getSchemeUsage()` Returns a short, plain-text usage string.
    `java.lang.String` | `getXmlDescription()` Returns user-directed documentation in XML format.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClassTableScheme

          public ClassTableScheme()

  - ### Method Detail

    - #### getSchemeName

          public java.lang.String getSchemeName()

      Returns "class";
      Specified by:
        `getSchemeName` in interface `TableScheme`
      Returns:
        scheme name

    - #### getSchemeUsage

          public java.lang.String getSchemeUsage()

      Description copied from interface: `TableScheme`
      Returns a short, plain-text usage string. This should just represent the legal syntax for the specification string.
      Specified by:
        `getSchemeUsage` in interface `TableScheme`
      Returns:
        usage syntax

    - #### getExampleSpecification

          public java.lang.String getExampleSpecification()

      Description copied from interface: `TableScheme`
      Returns a scheme-specific specification string suitable for use in examples. It should return a table short enough to appear in textual documentation. If no suitable example is available, null may be returned.
      Specified by:
        `getExampleSpecification` in interface `TableScheme`
      Returns:
        scheme-specific specification (scheme name part not included), or null

    - #### getXmlDescription

          public java.lang.String getXmlDescription()

      Description copied from interface: `Documented`
      Returns user-directed documentation in XML format.

      The output should be a sequence of one or more <P> elements, using XHTML-like XML. Since rendering may be done in a number of contexts however, use of the full range of XHTML elements is discouraged. Where possible, the content should stick to simple markup such as the elements P, A, UL, OL, LI, DL, DT, DD EM, STRONG, I, B, CODE, TT, PRE.

      Specified by:
        `getXmlDescription` in interface `Documented`
      Returns:
        XML description of this object

    - #### createTable

          public StarTable createTable(java.lang.String spec)
                                throws java.io.IOException

      Description copied from interface: `TableScheme`
      Turns a scheme-specific specification into a table. In case of any error, an exception should be thrown.
      Specified by:
        `createTable` in interface `TableScheme`
      Parameters:
        `spec` - scheme-specific table specification (scheme name part is not included)
      Returns:
        created table, not null
      Throws:
        `TableFormatException` - if the format of the specification is syntactically incorrect (will typically provoke an error containing the schemeUsage string)
        `java.io.IOException` - if there is some other error in creating the table